<template>
  <div class="transactionHistory tabs__Page">
    <!--https://dwqs.github.io/v2-datepicker/-->

    <LeftBlock class="block block__without-pad">

      <table class="flip-table">

        <thead class="flip-table__head">
        <tr class="thead__row">
          <td class="thead__dir">Transaction ID</td>
          <td class="thead__dir">Date</td>
          <td class="thead__dir">Method</td>
          <td class="thead__dir">Status</td>
          <td class="thead__dir">Amount (€)</td>
        </tr>
        </thead>

        <tbody class="flip-table__body">
        <tr class="tbody__row" v-for="item in getItems" :key="item.id">
          <td class="tbody__dir">{{ item.transaction }}</td>
          <td class="tbody__dir">{{ item.date }}</td>
          <td class="tbody__dir tbody__dir--method">{{ item.method }}</td>
          <td class="tbody__dir font-strong">
            <a
              href="#"
              class="tbody__dir__link"
              v-bind:class='{ colorGreen: item.color === 1, colorYellow: item.color === 2, colorRed: item.color === 3}'
            >
              {{ item.status }}</a>
          </td>
          <td class="tbody__dir font-strong">{{ item.amount }}</td>
        </tr>
        </tbody>

      </table>

      <paginate
        :page-count="getPageCount"
        :page-range="3"
        :margin-pages="2"
        :click-handler="clickCallback"
        :prev-text="'<'"
        :next-text="'>'"
        :container-class="'pagination'"
        :page-class="'page-item'">
      </paginate>
      <!--https://www.npmjs.com/package/vuejs-paginate-->
    </LeftBlock>

    <RightBlock class="block">
      <AccInfo></AccInfo>
    </RightBlock>

  </div>
</template>

<script>
	import LeftBlock from "@/components/Account/LeftBlock";
	import RightBlock from "@/components/Account/RightBlock";
	import AccInfo from "@/components/Account/elements/accountInfo/AccInfo";
	import Paginate from 'vuejs-paginate';

	export default {
		name: "TransactionHistory",
		data() {
			return {
				parPage: 8,
				currentPage: 1,
				items: [
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 1, status: 'Done', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '3'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 1, status: 'Done', amount: '10'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 1, status: 'Done', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '3'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 1, status: 'Done', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '3'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 1, status: 'Done', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '3'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 1, status: 'Done', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '3'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '240'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '3'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,2'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '3'},
					{type: 'DepositHistory', transaction: '56949494566456789', date: '09.01.2019', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 1, status: 'Done', amount: '1,240,999'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 2, status: 'Pending', amount: '10'},
					{type: 'WithrawHistory', transaction: '58585697949493456', date: '12.08.2019', method: '', color: 1, status: 'Done', amount: '10'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 3, status: 'Сanceled', amount: '3'},
					{type: 'DepositHistory', transaction: '58877859496862478', date: '21.11.2018', method: '', color: 1, status: 'Done', amount: '1,240,999'}
				],
			}
		},

		methods: {
			clickCallback: function (pageNum) {
				this.currentPage = Number(pageNum);
			}
		},

		computed: {
			getItems() {
				let current = this.currentPage * this.parPage;
				let start = current - this.parPage;
				return this.items.slice(start, current);
			},
			getPageCount() {
				return Math.ceil(this.items.length / this.parPage);
			}
		},

		components: {
			LeftBlock,
			RightBlock,
			AccInfo,
			Paginate
		}
	}
</script>

<style lang="sass" scoped>
  $colorGreen: #86C339
  $colorYellow: #FFC000
  $colorRed: #F13F35

  // -------------------------------------------------------------------------------------->   Flip Table

  .flip-table
    padding: 0
    border: none !important

    // ------------------------------------------------------>   Flip Table head

    &__head
      font-weight: 500
      color: #636E7E

      &:before
        content: ''
        position: absolute
        width: 100%
        height: 70px
        top: 0
        left: 0
        background: #f3f4f5

      // ------------------------------------------------------>   head row

      .thead__row
        position: relative
        height: 60px

        &:after
          content: ''
          position: absolute
          width: 100%
          height: 1px
          background: #dddedf
          transform: translateY(60px)
          left: 0

        // ------------------------------------------------------>   head dir

        .thead__dir
          position: relative

          &:after
            content: ''
            position: absolute
            width: 1px
            height: 70px
            background: #dddedf
            top: -10px
            right: 13px

          &:last-child
            &:after
              display: none

    // ------------------------------------------------------>   Flip Table body

    &__body
      position: relative
      font-size: 14px
      color: #000521

      // ------------------------------------------------------>   body row

      .tbody__row
        position: relative
        height: 55px
        display: flex
        justify-content: space-around

        &:before
          content: ''
          position: absolute
          width: 110%
          height: 1px
          background: rgba(0, 0, 0, 0.02)
          transform: translate(-50px, 54px)
          left: 0
          pointer-events: none
          transition: height .2s ease-out, transform .2s ease-out, background .4s ease-out

        &:after
          content: ''
          position: absolute
          width: 110%
          height: 1px
          background: rgba(244, 0, 0, 0.02)
          transform: translate(-50px, 55px)
          left: 0
          pointer-events: none
          z-index: 0
          transition: height .5s ease-out, transform .2s ease-in-out, background .3s ease

        &:hover
          &:after
            height: 55px
            transform: translate(-50px, 0px)
            background: rgba(0, 0, 0, 0.02)

        // ------------------------------------------------------>   body dir ----method

        &:nth-child(1)
          .tbody__dir
            &--method
              background: url('~@/assets/img/banks/bank_mastercard.svg') left center no-repeat

        &:nth-child(2)
          .tbody__dir
            &--method
              background: url('~@/assets/img/banks/bank_trusty.svg') left center no-repeat

        &:nth-child(3)
          .tbody__dir
            &--method
              background: url('~@/assets/img/banks/bank_cirrus.svg') left center no-repeat

        &:nth-child(4)
          .tbody__dir
            &--method
              background: url('~@/assets/img/banks/bank_mastercard.svg') left center no-repeat

        &:nth-child(5)
          .tbody__dir
            &--method
              background: url('~@/assets/img/banks/bank_ecopayz.svg') left center no-repeat

        &:nth-child(6)
          .tbody__dir
            &--method
              background: url('~@/assets/img/banks/bank_cirrus.svg') left center no-repeat

        &:nth-child(7)
          .tbody__dir
            &--method
              background: url('~@/assets/img/banks/bank_bitcoin.svg') left center no-repeat

        &:nth-child(8)
          .tbody__dir
            &--method
              background: url('~@/assets/img/banks/bank_webmoney.svg') left center no-repeat


        // ------------------------------------------------------>   BODY dir

        .tbody__dir
          width: 20%
          display: flex
          justify-content: center
          align-items: center
          text-align: center

          &.font-strong
            font-weight: 600

          .tbody__dir__link
            &.colorGreen
              color: $colorGreen

            &.colorYellow
              color: $colorYellow

            &.colorRed
              color: $colorRed

  // -------------------------------------------------------------------------------------->   End Table

</style>
